> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account funding methods

> Get a list of all funding methods available for the account



## OpenAPI

````yaml get /api/v1/account/users/{uid}/accounts/{aid}/funding-methods
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/users/{uid}/accounts/{aid}/funding-methods:
    get:
      tags:
        - user-accounts
      summary: Get account funding methods
      description: Get a list of all funding methods available for the account
      parameters:
        - description: User ID
          in: path
          name: uid
          required: true
          schema:
            type: string
        - description: Account ID
          in: path
          name: aid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/epgw.PayinMethodsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    epgw.PayinMethodsResponse:
      properties:
        card:
          $ref: '#/components/schemas/epgw.CardPayinMethod'
        crypto:
          items:
            $ref: '#/components/schemas/epgw.CryptoPayinMethod'
          type: array
        fiat:
          items:
            $ref: '#/components/schemas/epgw.BankPayinMethod'
          type: array
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    epgw.CardPayinMethod:
      properties:
        currencies:
          example:
            - EUR
            - USD
          items:
            type: string
          type: array
      type: object
    epgw.CryptoPayinMethod:
      properties:
        address:
          example: 7.685854882626358e+47
          type: string
        currency:
          example: USDC
          type: string
        network:
          example: ETH
          type: string
      type: object
    epgw.BankPayinMethod:
      properties:
        abaRoutingCode:
          example: '021000021'
          type: string
        accountHolder:
          example: ACME Ltd.
          type: string
        accountNumber:
          description: For ACH
          example: '123456789'
          type: string
        bankName:
          example: ACME Bank
          type: string
        description:
          example: Primary EUR settlement
          type: string
        iban:
          description: For SEPA
          example: ES9121000418450200051332
          type: string
        isVirtual:
          example: false
          type: boolean
        reference:
          example: REF123456
          type: string
        region:
          example: SEPA
          type: string
        swift:
          description: For SWIFT
          example: UNCRITMMXXX
          type: string
        type:
          example: IBAN
          type: string
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````